org.keycloak.events

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - org.keycloak.events.EventType

- All Implemented Interfaces:
    Serializable, Comparable<EventType>

      public enum EventType
      extends Enum<EventType>

  Author:
    Stian Thorgersen

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHREQID_TO_TOKEN`
    `AUTHREQID_TO_TOKEN_ERROR`
    `CLIENT_DELETE`
    `CLIENT_DELETE_ERROR`
    `CLIENT_INFO`
    `CLIENT_INFO_ERROR`
    `CLIENT_INITIATED_ACCOUNT_LINKING`
    `CLIENT_INITIATED_ACCOUNT_LINKING_ERROR`
    `CLIENT_LOGIN`
    `CLIENT_LOGIN_ERROR`
    `CLIENT_REGISTER`
    `CLIENT_REGISTER_ERROR`
    `CLIENT_UPDATE`
    `CLIENT_UPDATE_ERROR`
    `CODE_TO_TOKEN`
    `CODE_TO_TOKEN_ERROR`
    `CUSTOM_REQUIRED_ACTION`
    `CUSTOM_REQUIRED_ACTION_ERROR`
    `DELETE_ACCOUNT`
    `DELETE_ACCOUNT_ERROR`
    `EXECUTE_ACTION_TOKEN`
    `EXECUTE_ACTION_TOKEN_ERROR`
    `EXECUTE_ACTIONS`
    `EXECUTE_ACTIONS_ERROR`
    `FEDERATED_IDENTITY_LINK`
    `FEDERATED_IDENTITY_LINK_ERROR`
    `GRANT_CONSENT`
    `GRANT_CONSENT_ERROR`
    `IDENTITY_PROVIDER_FIRST_LOGIN`
    `IDENTITY_PROVIDER_FIRST_LOGIN_ERROR`
    `IDENTITY_PROVIDER_LINK_ACCOUNT`
    `IDENTITY_PROVIDER_LINK_ACCOUNT_ERROR`
    `IDENTITY_PROVIDER_LOGIN`
    `IDENTITY_PROVIDER_LOGIN_ERROR`
    `IDENTITY_PROVIDER_POST_LOGIN`
    `IDENTITY_PROVIDER_POST_LOGIN_ERROR`
    `IDENTITY_PROVIDER_RESPONSE`
    `IDENTITY_PROVIDER_RESPONSE_ERROR`
    `IDENTITY_PROVIDER_RETRIEVE_TOKEN`
    `IDENTITY_PROVIDER_RETRIEVE_TOKEN_ERROR`
    `IMPERSONATE`
    `IMPERSONATE_ERROR`
    `INTROSPECT_TOKEN`
    `INTROSPECT_TOKEN_ERROR`
    `INVALID_SIGNATURE`
    `INVALID_SIGNATURE_ERROR`
    `LOGIN`
    `LOGIN_ERROR`
    `LOGOUT`
    `LOGOUT_ERROR`
    `OAUTH2_DEVICE_AUTH`
    `OAUTH2_DEVICE_AUTH_ERROR`
    `OAUTH2_DEVICE_CODE_TO_TOKEN`
    `OAUTH2_DEVICE_CODE_TO_TOKEN_ERROR`
    `OAUTH2_DEVICE_VERIFY_USER_CODE`
    `OAUTH2_DEVICE_VERIFY_USER_CODE_ERROR`
    `PERMISSION_TOKEN`
    `PERMISSION_TOKEN_ERROR`
    `PUSHED_AUTHORIZATION_REQUEST`
    `PUSHED_AUTHORIZATION_REQUEST_ERROR`
    `REFRESH_TOKEN`
    `REFRESH_TOKEN_ERROR`
    `REGISTER`
    `REGISTER_ERROR`
    `REGISTER_NODE`
    `REGISTER_NODE_ERROR`
    `REMOVE_FEDERATED_IDENTITY`
    `REMOVE_FEDERATED_IDENTITY_ERROR`
    `REMOVE_TOTP`
    `REMOVE_TOTP_ERROR`
    `RESET_PASSWORD`
    `RESET_PASSWORD_ERROR`
    `RESTART_AUTHENTICATION`
    `RESTART_AUTHENTICATION_ERROR`
    `REVOKE_GRANT`
    `REVOKE_GRANT_ERROR`
    `SEND_IDENTITY_PROVIDER_LINK`
    `SEND_IDENTITY_PROVIDER_LINK_ERROR`
    `SEND_RESET_PASSWORD`
    `SEND_RESET_PASSWORD_ERROR`
    `SEND_VERIFY_EMAIL`
    `SEND_VERIFY_EMAIL_ERROR`
    `TOKEN_EXCHANGE`
    `TOKEN_EXCHANGE_ERROR`
    `UNREGISTER_NODE`
    `UNREGISTER_NODE_ERROR`
    `UPDATE_CONSENT`
    `UPDATE_CONSENT_ERROR`
    `UPDATE_EMAIL`
    `UPDATE_EMAIL_ERROR`
    `UPDATE_PASSWORD`
    `UPDATE_PASSWORD_ERROR`
    `UPDATE_PROFILE`
    `UPDATE_PROFILE_ERROR`
    `UPDATE_TOTP`
    `UPDATE_TOTP_ERROR`
    `USER_INFO_REQUEST`
    `USER_INFO_REQUEST_ERROR`
    `VALIDATE_ACCESS_TOKEN` Deprecated. see KEYCLOAK-2266
    `VALIDATE_ACCESS_TOKEN_ERROR` Deprecated.
    `VERIFY_EMAIL`
    `VERIFY_EMAIL_ERROR`
    `VERIFY_PROFILE`
    `VERIFY_PROFILE_ERROR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSaveByDefault()` Determines whether this event is stored when the admin has not set a specific set of event types to save.
    `static EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOGIN

          public static final EventType LOGIN

    - #### LOGIN_ERROR

          public static final EventType LOGIN_ERROR

    - #### REGISTER

          public static final EventType REGISTER

    - #### REGISTER_ERROR

          public static final EventType REGISTER_ERROR

    - #### LOGOUT

          public static final EventType LOGOUT

    - #### LOGOUT_ERROR

          public static final EventType LOGOUT_ERROR

    - #### CODE_TO_TOKEN

          public static final EventType CODE_TO_TOKEN

    - #### CODE_TO_TOKEN_ERROR

          public static final EventType CODE_TO_TOKEN_ERROR

    - #### CLIENT_LOGIN

          public static final EventType CLIENT_LOGIN

    - #### CLIENT_LOGIN_ERROR

          public static final EventType CLIENT_LOGIN_ERROR

    - #### REFRESH_TOKEN

          public static final EventType REFRESH_TOKEN

    - #### REFRESH_TOKEN_ERROR

          public static final EventType REFRESH_TOKEN_ERROR

    - #### VALIDATE_ACCESS_TOKEN

          @Deprecated
          public static final EventType VALIDATE_ACCESS_TOKEN

      Deprecated. see KEYCLOAK-2266

    - #### VALIDATE_ACCESS_TOKEN_ERROR

          @Deprecated
          public static final EventType VALIDATE_ACCESS_TOKEN_ERROR

      Deprecated.

    - #### INTROSPECT_TOKEN

          public static final EventType INTROSPECT_TOKEN

    - #### INTROSPECT_TOKEN_ERROR

          public static final EventType INTROSPECT_TOKEN_ERROR

    - #### FEDERATED_IDENTITY_LINK

          public static final EventType FEDERATED_IDENTITY_LINK

    - #### FEDERATED_IDENTITY_LINK_ERROR

          public static final EventType FEDERATED_IDENTITY_LINK_ERROR

    - #### REMOVE_FEDERATED_IDENTITY

          public static final EventType REMOVE_FEDERATED_IDENTITY

    - #### REMOVE_FEDERATED_IDENTITY_ERROR

          public static final EventType REMOVE_FEDERATED_IDENTITY_ERROR

    - #### UPDATE_EMAIL

          public static final EventType UPDATE_EMAIL

    - #### UPDATE_EMAIL_ERROR

          public static final EventType UPDATE_EMAIL_ERROR

    - #### UPDATE_PROFILE

          public static final EventType UPDATE_PROFILE

    - #### UPDATE_PROFILE_ERROR

          public static final EventType UPDATE_PROFILE_ERROR

    - #### UPDATE_PASSWORD

          public static final EventType UPDATE_PASSWORD

    - #### UPDATE_PASSWORD_ERROR

          public static final EventType UPDATE_PASSWORD_ERROR

    - #### UPDATE_TOTP

          public static final EventType UPDATE_TOTP

    - #### UPDATE_TOTP_ERROR

          public static final EventType UPDATE_TOTP_ERROR

    - #### VERIFY_EMAIL

          public static final EventType VERIFY_EMAIL

    - #### VERIFY_EMAIL_ERROR

          public static final EventType VERIFY_EMAIL_ERROR

    - #### VERIFY_PROFILE

          public static final EventType VERIFY_PROFILE

    - #### VERIFY_PROFILE_ERROR

          public static final EventType VERIFY_PROFILE_ERROR

    - #### REMOVE_TOTP

          public static final EventType REMOVE_TOTP

    - #### REMOVE_TOTP_ERROR

          public static final EventType REMOVE_TOTP_ERROR

    - #### GRANT_CONSENT

          public static final EventType GRANT_CONSENT

    - #### GRANT_CONSENT_ERROR

          public static final EventType GRANT_CONSENT_ERROR

    - #### UPDATE_CONSENT

          public static final EventType UPDATE_CONSENT

    - #### UPDATE_CONSENT_ERROR

          public static final EventType UPDATE_CONSENT_ERROR

    - #### REVOKE_GRANT

          public static final EventType REVOKE_GRANT

    - #### REVOKE_GRANT_ERROR

          public static final EventType REVOKE_GRANT_ERROR

    - #### SEND_VERIFY_EMAIL

          public static final EventType SEND_VERIFY_EMAIL

    - #### SEND_VERIFY_EMAIL_ERROR

          public static final EventType SEND_VERIFY_EMAIL_ERROR

    - #### SEND_RESET_PASSWORD

          public static final EventType SEND_RESET_PASSWORD

    - #### SEND_RESET_PASSWORD_ERROR

          public static final EventType SEND_RESET_PASSWORD_ERROR

    - #### SEND_IDENTITY_PROVIDER_LINK

          public static final EventType SEND_IDENTITY_PROVIDER_LINK

    - #### SEND_IDENTITY_PROVIDER_LINK_ERROR

          public static final EventType SEND_IDENTITY_PROVIDER_LINK_ERROR

    - #### RESET_PASSWORD

          public static final EventType RESET_PASSWORD

    - #### RESET_PASSWORD_ERROR

          public static final EventType RESET_PASSWORD_ERROR

    - #### RESTART_AUTHENTICATION

          public static final EventType RESTART_AUTHENTICATION

    - #### RESTART_AUTHENTICATION_ERROR

          public static final EventType RESTART_AUTHENTICATION_ERROR

    - #### INVALID_SIGNATURE

          public static final EventType INVALID_SIGNATURE

    - #### INVALID_SIGNATURE_ERROR

          public static final EventType INVALID_SIGNATURE_ERROR

    - #### REGISTER_NODE

          public static final EventType REGISTER_NODE

    - #### REGISTER_NODE_ERROR

          public static final EventType REGISTER_NODE_ERROR

    - #### UNREGISTER_NODE

          public static final EventType UNREGISTER_NODE

    - #### UNREGISTER_NODE_ERROR

          public static final EventType UNREGISTER_NODE_ERROR

    - #### USER_INFO_REQUEST

          public static final EventType USER_INFO_REQUEST

    - #### USER_INFO_REQUEST_ERROR

          public static final EventType USER_INFO_REQUEST_ERROR

    - #### IDENTITY_PROVIDER_LINK_ACCOUNT

          public static final EventType IDENTITY_PROVIDER_LINK_ACCOUNT

    - #### IDENTITY_PROVIDER_LINK_ACCOUNT_ERROR

          public static final EventType IDENTITY_PROVIDER_LINK_ACCOUNT_ERROR

    - #### IDENTITY_PROVIDER_LOGIN

          public static final EventType IDENTITY_PROVIDER_LOGIN

    - #### IDENTITY_PROVIDER_LOGIN_ERROR

          public static final EventType IDENTITY_PROVIDER_LOGIN_ERROR

    - #### IDENTITY_PROVIDER_FIRST_LOGIN

          public static final EventType IDENTITY_PROVIDER_FIRST_LOGIN

    - #### IDENTITY_PROVIDER_FIRST_LOGIN_ERROR

          public static final EventType IDENTITY_PROVIDER_FIRST_LOGIN_ERROR

    - #### IDENTITY_PROVIDER_POST_LOGIN

          public static final EventType IDENTITY_PROVIDER_POST_LOGIN

    - #### IDENTITY_PROVIDER_POST_LOGIN_ERROR

          public static final EventType IDENTITY_PROVIDER_POST_LOGIN_ERROR

    - #### IDENTITY_PROVIDER_RESPONSE

          public static final EventType IDENTITY_PROVIDER_RESPONSE

    - #### IDENTITY_PROVIDER_RESPONSE_ERROR

          public static final EventType IDENTITY_PROVIDER_RESPONSE_ERROR

    - #### IDENTITY_PROVIDER_RETRIEVE_TOKEN

          public static final EventType IDENTITY_PROVIDER_RETRIEVE_TOKEN

    - #### IDENTITY_PROVIDER_RETRIEVE_TOKEN_ERROR

          public static final EventType IDENTITY_PROVIDER_RETRIEVE_TOKEN_ERROR

    - #### IMPERSONATE

          public static final EventType IMPERSONATE

    - #### IMPERSONATE_ERROR

          public static final EventType IMPERSONATE_ERROR

    - #### CUSTOM_REQUIRED_ACTION

          public static final EventType CUSTOM_REQUIRED_ACTION

    - #### CUSTOM_REQUIRED_ACTION_ERROR

          public static final EventType CUSTOM_REQUIRED_ACTION_ERROR

    - #### EXECUTE_ACTIONS

          public static final EventType EXECUTE_ACTIONS

    - #### EXECUTE_ACTIONS_ERROR

          public static final EventType EXECUTE_ACTIONS_ERROR

    - #### EXECUTE_ACTION_TOKEN

          public static final EventType EXECUTE_ACTION_TOKEN

    - #### EXECUTE_ACTION_TOKEN_ERROR

          public static final EventType EXECUTE_ACTION_TOKEN_ERROR

    - #### CLIENT_INFO

          public static final EventType CLIENT_INFO

    - #### CLIENT_INFO_ERROR

          public static final EventType CLIENT_INFO_ERROR

    - #### CLIENT_REGISTER

          public static final EventType CLIENT_REGISTER

    - #### CLIENT_REGISTER_ERROR

          public static final EventType CLIENT_REGISTER_ERROR

    - #### CLIENT_UPDATE

          public static final EventType CLIENT_UPDATE

    - #### CLIENT_UPDATE_ERROR

          public static final EventType CLIENT_UPDATE_ERROR

    - #### CLIENT_DELETE

          public static final EventType CLIENT_DELETE

    - #### CLIENT_DELETE_ERROR

          public static final EventType CLIENT_DELETE_ERROR

    - #### CLIENT_INITIATED_ACCOUNT_LINKING

          public static final EventType CLIENT_INITIATED_ACCOUNT_LINKING

    - #### CLIENT_INITIATED_ACCOUNT_LINKING_ERROR

          public static final EventType CLIENT_INITIATED_ACCOUNT_LINKING_ERROR

    - #### TOKEN_EXCHANGE

          public static final EventType TOKEN_EXCHANGE

    - #### TOKEN_EXCHANGE_ERROR

          public static final EventType TOKEN_EXCHANGE_ERROR

    - #### OAUTH2_DEVICE_AUTH

          public static final EventType OAUTH2_DEVICE_AUTH

    - #### OAUTH2_DEVICE_AUTH_ERROR

          public static final EventType OAUTH2_DEVICE_AUTH_ERROR

    - #### OAUTH2_DEVICE_VERIFY_USER_CODE

          public static final EventType OAUTH2_DEVICE_VERIFY_USER_CODE

    - #### OAUTH2_DEVICE_VERIFY_USER_CODE_ERROR

          public static final EventType OAUTH2_DEVICE_VERIFY_USER_CODE_ERROR

    - #### OAUTH2_DEVICE_CODE_TO_TOKEN

          public static final EventType OAUTH2_DEVICE_CODE_TO_TOKEN

    - #### OAUTH2_DEVICE_CODE_TO_TOKEN_ERROR

          public static final EventType OAUTH2_DEVICE_CODE_TO_TOKEN_ERROR

    - #### AUTHREQID_TO_TOKEN

          public static final EventType AUTHREQID_TO_TOKEN

    - #### AUTHREQID_TO_TOKEN_ERROR

          public static final EventType AUTHREQID_TO_TOKEN_ERROR

    - #### PERMISSION_TOKEN

          public static final EventType PERMISSION_TOKEN

    - #### PERMISSION_TOKEN_ERROR

          public static final EventType PERMISSION_TOKEN_ERROR

    - #### DELETE_ACCOUNT

          public static final EventType DELETE_ACCOUNT

    - #### DELETE_ACCOUNT_ERROR

          public static final EventType DELETE_ACCOUNT_ERROR

    - #### PUSHED_AUTHORIZATION_REQUEST

          public static final EventType PUSHED_AUTHORIZATION_REQUEST

    - #### PUSHED_AUTHORIZATION_REQUEST_ERROR

          public static final EventType PUSHED_AUTHORIZATION_REQUEST_ERROR

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isSaveByDefault

          public boolean isSaveByDefault()

      Determines whether this event is stored when the admin has not set a specific set of event types to save.
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.